TIDTOHOST(3PVM)

NAME
pvm_tidtohost - Returns the host of the specified PVM process.

SYNOPSIS
C	int dtid = pvm_tidtohost( tid )

Fortran	call pvmftidtoh( tid, dtid )

PARAMETERS

tid Integer task identifier of the PVM process in question.

dtid
    Integer returns the tid of the host's pvmd3 or a negative value if an error.

DESCRIPTION
The routine pvm_tidtohost returns the host id on which the process identified by tid is located.

ERRORS
The following error conditions can be returned

PvmBadParam
    An invalid tid value was specified.

PvmSysErr
    pvmd not responding.

SEE ALSO
pvm_config(3PVM), pvm_tasks(3PVM)